import 'package:flutter/widgets.dart';

class WithFooter extends StatelessWidget {
  final Widget child;
  final Widget footer;

  const WithFooter({
    Key? key,
    required this.child,
    required this.footer,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Column(
      mainAxisAlignment: MainAxisAlignment.spaceBetween,
      children: [
        Expanded(
          child: child,
        ),
        footer,
      ],
    );
  }
}
