import 'package:flutter/material.dart';

class Section extends StatelessWidget {
  final Widget? header;
  final Widget? footer;
  final List<Widget> children;
  final CrossAxisAlignment crossAxisAlignment;
  late final EdgeInsetsGeometry margin;
  late final EdgeInsetsGeometry contentPadding;
  final double? elevation;
  final Color? dividerColor;

  // ignore: non_constant_identifier_names
  static double DEFAULT_CONTENT_PADDING = 10.0;

  Section({
    Key? key,
    this.header,
    required this.children,
    this.footer,
    this.crossAxisAlignment = CrossAxisAlignment.start,
    EdgeInsets? margin,
    EdgeInsets? headerPadding,
    this.elevation,
    this.dividerColor,
  }) : super(key: key) {
    this.margin =
        margin ?? EdgeInsets.fromLTRB(DEFAULT_CONTENT_PADDING, DEFAULT_CONTENT_PADDING, DEFAULT_CONTENT_PADDING, 0);
    this.contentPadding = headerPadding ?? EdgeInsets.fromLTRB(0, 0, 0, DEFAULT_CONTENT_PADDING);
  }

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: margin,
      child: Column(
        crossAxisAlignment: crossAxisAlignment,
        children: [
          if (header != null)
            // Padding(
            //   padding: contentPadding,
            //   child: header,
            // ),
            header!,
          Card(
            margin: EdgeInsets.zero,
            elevation: elevation,
            child: Column(
              crossAxisAlignment: crossAxisAlignment,
              children: ListTile.divideTiles(
                context: context,
                color: dividerColor,
                tiles: children,
              ).toList(),
            ),
            // child: ListView.separated(
            //   itemBuilder: (context, index) {
            //     return children[index];
            //   },
            //   separatorBuilder: (context, index) {
            //     return Divider(height: 1);
            //   },
            //   itemCount: 3,
            // ),
          ),
          if (footer != null) footer!,
          // Padding(
          //   padding: contentPadding,
          //   child: footer,
          // ),
        ],
      ),
    );
  }
}
