import 'package:flutter/material.dart';

import 'Section.dart';

class SectionHeader extends StatelessWidget {
  final String? text;
  final Widget? child;
  late final EdgeInsetsGeometry padding;
  final Color? color;
  final TextStyle? textStyle;

  SectionHeader({
    Key? key,
    this.text,
    this.child,
    EdgeInsets? padding,
    this.color,
    this.textStyle,
  }) : super(key: key) {
    this.padding =
        padding ?? EdgeInsets.fromLTRB(0, Section.DEFAULT_CONTENT_PADDING / 2, 0, Section.DEFAULT_CONTENT_PADDING / 2);
  }

  @override
  Widget build(BuildContext context) {
    Widget content;

    if (child == null) {
      // final currentColor = color ?? Theme.of(context).accentColor; // Colors.white70;

      final style = textStyle ?? Theme.of(context).textTheme.caption!.copyWith(color: color, fontSize: 14);

      content = Text(
        text!,
        style: style,
      );
    } else {
      content = child!;
    }

    return Padding(
      padding: padding,
      child: content,
    );
  }
}
